Search Help

Error message when upgrading to the new Yahoo Mail: Unsupported browser

Error message: "You're almost there…but your web browser doesn’t support Yahoo Mail.”

Using an unsupported browser

If you are using an unsupported browser, you may receive the following message when you try to upgrade to the newest version of Yahoo Mail:

“You’re almost there…but your web browser doesn’t support Yahoo Mail.” In order to use the newest version of Yahoo Mail, please upgrade to one of the following supported browsers:

Thank you! Your feedback has successfully been submitted.

Please tell us why you didn't find this helpful.

Send Feedback